#
#       Makefile for ugpack
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ugpack
LIBFSRCS	= ugvect.f ugunit.f ugsut.f  ugiget.f ugiqnp.f uglget.f \
		  uglqnp.f ugrget.f ugrqnp.f ugpget.f ugpqnp.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= ugvect.o ugunit.o ugsut.o  ugiget.o ugiqnp.o uglget.o \
		  uglqnp.o ugrget.o ugrqnp.o ugpget.o ugpqnp.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
